# Datei: scom_t.py (Python3)
# Autor: gkemnitz
# letzte Aenderung: 08.09.2016
#
# Versenden, Empfang und Ausgabe der Zeichenkette "Hallo Welt!"
# Zusaetzliche Ausgabe der Uebertragungszeit zwischen Sendebeginn 
# und Empfangsabschluss.
#
# Auf dem Mikrorechner muss das Programm "echo" laufen.
# Als COM-Schnittstelle die der seriellen Verbindung einstellen,
# wahlweise fuer die Kabel- oder die Bluetooth-Verbindung.


import serial
from time import clock  # Funktion "clock() aus Modul "time" importieren
ser = serial.Serial("COM3")
send = "Hallo Welt!".encode("ascii")
ts = clock();            # Startzeit in Sekunde nach ... lesen
ser.write(send)
y = ser.read(len(send)).decode()
dt = clock()-ts          # Zeitdifferenz zur Startzeit
print("Empfangene Daten: " + y.decode(), " dt= " + str(dt*1000) + "ms")
ser.close()
