/* Datei:  bit_io2.c
 * Author: gkemnitz
 * Datum:  27.05.2015
 *
 * Rahmen Programmieraufgabe: LD0 = SW1 UND SW2
 * An Port A oben Schaltermodul anstecken.
 */ 

#include <avr/io.h>

int main(void){
  // Initialisierung
  DDRA = 0;          // Port A (Schalter) Eingnge
  DDRJ = 0xFF;       // Port J (LEDs) Ausgnge
  uint8_t a, b, c;   // 8-Bit-Variablen
  while(1){
    a = PINA & 0b01;   // a(0)<= SW1
    b = PINA & 0b10;   // b(1)<= SW2
    c = b >> 1;        // b(0)<= b(1)
    PORTJ=a & c;       // LD(0)<=SW1 & SW2
  }
}